v_hdmirxss: XV_HdmiRxSs Struct Reference

| v_hdmirxss Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XV_HdmiRxSs Struct Reference

The XVprocss driver instance data. More...

## Data Fields
XV_HdmiRxSs_Config | Config
| Hardware configuration. More...
u32 | IsReady
| Device and the driver instance are initialized. More...
u8 | AppMajVer
| Major Version of application used by the driver. More...
u8 | AppMinVer
| Minor Version of application used by the driver. More...
XV_HdmiRxSs_Log | Log
| A log of events. More...
XV_HdmiRx * | HdmiRxPtr
| handle to sub-core driver instance More...
XV_HdmiRxSs_Callback | ConnectCallback
| Callback for connect event. More...
void * | ConnectRef
| To be passed to the connect callback. More...
XV_HdmiRxSs_Callback | BrdgOverflowCallback
        Callback for Bridge overflow
event More...
void * | BrdgOverflowRef
| To be passed to the Bridge overflow callback. More...
XV_HdmiRxSs_Callback | AuxCallback
| Callback for AUX event. More...
void * | AuxRef
| To be passed to the AUX callback. More...
XV_HdmiRxSs_Callback | AudCallback
| Callback for AUD event. More...
void * | AudRef
| To be passed to the AUD callback. More...
XV_HdmiRxSs_Callback | LnkStaCallback
| Callback for LNKSTA event. More...
void * | LnkStaRef
| To be passed to the LNKSTA callback. More...
XV_HdmiRxSs_Callback | DdcCallback
| Callback for PDDC event. More...
void * | DdcRef
| To be passed to the DDC callback. More...
XV_HdmiRxSs_Callback | StreamDownCallback
| Callback for stream down event. More...
void * | StreamDownRef
| To be passed to the stream down callback. More...
XV_HdmiRxSs_Callback | StreamInitCallback
| Callback for stream init event. More...
void * | StreamInitRef
| To be passed to the stream init callback. More...
XV_HdmiRxSs_Callback | StreamUpCallback
| Callback for stream up event. More...
void * | StreamUpRef
| To be passed to the stream up callback. More...
XV_HdmiRxSs_Callback | HdcpCallback
| Callback for HDCP 1.4 event. More...
void * | HdcpRef
| To be passed to the hdcp callback. More...
XV_HdmiRxSs_Callback | TmdsClkRatioCallback
| Callback for scdc TMDS clock ratio change callback. More...
void * | TmdsClkRatioRef
| To be passed to the scdc tmds clock ratio change callback. More...
XV_HdmiRxSs_Callback | VicErrorCallback
| Callback for VIC error detection. More...
void * | VicErrorRef
| To be passed to the VIC error callback. More...
u8 | IsStreamConnected
| HDMI RX Stream Connected. More...
u8 | IsStreamUp
| HDMI RX Stream Up. More...
u8 | AudioChannels
| Number of Audio Channels. More...
int | IsLinkStatusErrMax
| Link Error Status Maxed. More...
u8 * | EdidPtr
| Default Edid Pointer. More...
u16 | EdidLength
| Default Edid Length. More...
u8 | TMDSClockRatio
| HDMI RX TMDS clock ratio. More...
XHdmiC_AVI_InfoFrame | AVIInfoframe
| AVI InfoFrame. More...
XHdmiC_GeneralControlPacket | GCP
| General Control Packet. More...
XHdmiC_AudioInfoFrame | AudioInfoframe
| Audio InfoFrame. More...
XHdmiC_VSIF | VSIF
| Vendor Specific InfoFrame. More...
XVidC_DelayHandler | UserTimerWaitUs
| Custom user function for delay/sleep. More...
void * | UserTimerPtr
| Pointer to a timer instance used by the custom user delay/sleep function. More...
XV_HdmiRxSs_HdcpProtocol | HdcpProtocol
| HDCP protocol selected. More...

## Detailed Description

The XVprocss driver instance data.

The user is required to allocate a variable of this type for every XVprocss device in the system. A pointer to a variable of this type is then passed to the driver API functions.

## Field Documentation

u8 XV_HdmiRxSs::AppMajVer

Major Version of application used by the driver.

Referenced by XV_HdmiRxSs_CfgInitialize(), and XV_HdmiRxSS_SetAppVersion().

u8 XV_HdmiRxSs::AppMinVer

Minor Version of application used by the driver.

Referenced by XV_HdmiRxSs_CfgInitialize(), and XV_HdmiRxSS_SetAppVersion().

XV_HdmiRxSs_Callback XV_HdmiRxSs::AudCallback

Callback for AUD event.

Referenced by XV_HdmiRxSs_SetCallback().

u8 XV_HdmiRxSs::AudioChannels

Number of Audio Channels.

Referenced by XV_HdmiRxSs_GetAudioChannels().

XHdmiC_AudioInfoFrame XV_HdmiRxSs::AudioInfoframe

Audio InfoFrame.

Referenced by XV_HdmiRxSs_GetAudioInfoframe().

void* XV_HdmiRxSs::AudRef

To be passed to the AUD callback.

Referenced by XV_HdmiRxSs_SetCallback().

XV_HdmiRxSs_Callback XV_HdmiRxSs::AuxCallback

Callback for AUX event.

Referenced by XV_HdmiRxSs_SetCallback().

void* XV_HdmiRxSs::AuxRef

To be passed to the AUX callback.

Referenced by XV_HdmiRxSs_SetCallback().

XHdmiC_AVI_InfoFrame XV_HdmiRxSs::AVIInfoframe

AVI InfoFrame.

Referenced by XV_HdmiRxSs_GetAviInfoframe().

XV_HdmiRxSs_Callback XV_HdmiRxSs::BrdgOverflowCallback

        Callback for Bridge overflow

event

Referenced by XV_HdmiRxSs_SetCallback().

void* XV_HdmiRxSs::BrdgOverflowRef

To be passed to the Bridge overflow callback.

Referenced by XV_HdmiRxSs_SetCallback().

XV_HdmiRxSs_Config XV_HdmiRxSs::Config

Hardware configuration.

Referenced by XV_HdmiRxSs_CfgInitialize(), XV_HdmiRxSs_SetDefaultPpc(), XV_HdmiRxSs_SetPpc(), XV_HdmiRxSs_SetStream(), and XV_HdmiRxSs_SubcoreInitHdmiRx().

XV_HdmiRxSs_Callback XV_HdmiRxSs::ConnectCallback

Callback for connect event.

Referenced by XV_HdmiRxSs_SetCallback().

void* XV_HdmiRxSs::ConnectRef

To be passed to the connect callback.

Referenced by XV_HdmiRxSs_SetCallback().

XV_HdmiRxSs_Callback XV_HdmiRxSs::DdcCallback

Callback for PDDC event.

Referenced by XV_HdmiRxSs_SetCallback().

void* XV_HdmiRxSs::DdcRef

To be passed to the DDC callback.

Referenced by XV_HdmiRxSs_SetCallback().

u16 XV_HdmiRxSs::EdidLength

Default Edid Length.

Referenced by XV_HdmiRxSs_LoadDefaultEdid(), XV_HdmiRxSs_SetEdidParam(), and XV_HdmiRxSs_SubcoreInitHdmiRx().

u8* XV_HdmiRxSs::EdidPtr

Default Edid Pointer.

Referenced by XV_HdmiRxSs_LoadDefaultEdid(), XV_HdmiRxSs_SetEdidParam(), and XV_HdmiRxSs_SubcoreInitHdmiRx().

XHdmiC_GeneralControlPacket XV_HdmiRxSs::GCP

General Control Packet.

Referenced by XV_HdmiRxSs_GetGCP().

XV_HdmiRxSs_Callback XV_HdmiRxSs::HdcpCallback

Callback for HDCP 1.4 event.

Referenced by XV_HdmiRxSs_SetCallback().

XV_HdmiRxSs_HdcpProtocol XV_HdmiRxSs::HdcpProtocol

HDCP protocol selected.

void* XV_HdmiRxSs::HdcpRef

To be passed to the hdcp callback.

Referenced by XV_HdmiRxSs_SetCallback().

XV_HdmiRx* XV_HdmiRxSs::HdmiRxPtr

handle to sub-core driver instance

Referenced by XV_HdmiRxSs_AudioMute(), XV_HdmiRxSs_CfgInitialize(), XV_HdmiRxSs_GetAudioFormat(), XV_HdmiRxSs_GetAuxiliary(), XV_HdmiRxSs_GetVideoIDCode(), XV_HdmiRxSs_GetVideoStream(), XV_HdmiRxSs_GetVideoStreamScramblingFlag(), XV_HdmiRxSs_GetVideoStreamType(), XV_HdmiRxSS_HdmiRxIntrHandler(), XV_HdmiRxSs_LoadDefaultEdid(), XV_HdmiRxSs_LoadEdid(), XV_HdmiRxSs_RefClockChangeInit(), XV_HdmiRxSs_RXCore_LRST(), XV_HdmiRxSs_RXCore_VRST(), XV_HdmiRxSs_SetHpd(), XV_HdmiRxSs_SetStream(), XV_HdmiRxSs_Start(), XV_HdmiRxSs_Stop(), XV_HdmiRxSs_SubcoreInitHdmiRx(), XV_HdmiRxSs_SYSRST(), XV_HdmiRxSs_ToggleHpd(), and XV_HdmiRxSs_VRST().

int XV_HdmiRxSs::IsLinkStatusErrMax

Link Error Status Maxed.

u32 XV_HdmiRxSs::IsReady

Device and the driver instance are initialized.

Referenced by XV_HdmiRxSs_CfgInitialize().

u8 XV_HdmiRxSs::IsStreamConnected

HDMI RX Stream Connected.

Referenced by XV_HdmiRxSs_IsStreamConnected().

u8 XV_HdmiRxSs::IsStreamUp

HDMI RX Stream Up.

Referenced by XV_HdmiRxSs_IsStreamUp().

XV_HdmiRxSs_Callback XV_HdmiRxSs::LnkStaCallback

Callback for LNKSTA event.

Referenced by XV_HdmiRxSs_SetCallback().

void* XV_HdmiRxSs::LnkStaRef

To be passed to the LNKSTA callback.

Referenced by XV_HdmiRxSs_SetCallback().

XV_HdmiRxSs_Log XV_HdmiRxSs::Log

A log of events.

Referenced by XV_HdmiRxSs_LogRead(), XV_HdmiRxSs_LogReset(), and XV_HdmiRxSs_LogWrite().

XV_HdmiRxSs_Callback XV_HdmiRxSs::StreamDownCallback

Callback for stream down event.

Referenced by XV_HdmiRxSs_SetCallback().

void* XV_HdmiRxSs::StreamDownRef

To be passed to the stream down callback.

Referenced by XV_HdmiRxSs_SetCallback().

XV_HdmiRxSs_Callback XV_HdmiRxSs::StreamInitCallback

Callback for stream init event.

Referenced by XV_HdmiRxSs_SetCallback().

void* XV_HdmiRxSs::StreamInitRef

To be passed to the stream init callback.

Referenced by XV_HdmiRxSs_SetCallback().

XV_HdmiRxSs_Callback XV_HdmiRxSs::StreamUpCallback

Callback for stream up event.

Referenced by XV_HdmiRxSs_SetCallback().

void* XV_HdmiRxSs::StreamUpRef

To be passed to the stream up callback.

Referenced by XV_HdmiRxSs_SetCallback().

XV_HdmiRxSs_Callback XV_HdmiRxSs::TmdsClkRatioCallback

Callback for scdc TMDS clock ratio change callback.

Referenced by XV_HdmiRxSs_SetCallback().

void* XV_HdmiRxSs::TmdsClkRatioRef

To be passed to the scdc tmds clock ratio change callback.

Referenced by XV_HdmiRxSs_SetCallback().

u8 XV_HdmiRxSs::TMDSClockRatio

HDMI RX TMDS clock ratio.

Referenced by XV_HdmiRxSs_RefClockChangeInit().

void* XV_HdmiRxSs::UserTimerPtr

Pointer to a timer instance used by the custom user delay/sleep function.

Referenced by XV_HdmiRxSs_SetUserTimerHandler().

XVidC_DelayHandler XV_HdmiRxSs::UserTimerWaitUs

Custom user function for delay/sleep.

Referenced by XV_HdmiRxSs_SetUserTimerHandler().

XV_HdmiRxSs_Callback XV_HdmiRxSs::VicErrorCallback

Callback for VIC error detection.

Referenced by XV_HdmiRxSs_SetCallback().

void* XV_HdmiRxSs::VicErrorRef

To be passed to the VIC error callback.

Referenced by XV_HdmiRxSs_SetCallback().

XHdmiC_VSIF XV_HdmiRxSs::VSIF

Vendor Specific InfoFrame.

Referenced by XV_HdmiRxSs_GetVSIF().